| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CommonEnumeratedLiteral Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CommonEnumeratedLiteral defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CommonEnumeratedLiteral ()
| Default constructor.
eProsima_user_DllExport | ~CommonEnumeratedLiteral ()
| Default destructor.
eProsima_user_DllExport | CommonEnumeratedLiteral (const CommonEnumeratedLiteral &x)
| Copy constructor.
eProsima_user_DllExport | CommonEnumeratedLiteral (CommonEnumeratedLiteral &&x) noexcept
| Move constructor.
eProsima_user_DllExport CommonEnumeratedLiteral & | operator= (const CommonEnumeratedLiteral &x)
| Copy assignment.
eProsima_user_DllExport CommonEnumeratedLiteral & | operator= (CommonEnumeratedLiteral &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CommonEnumeratedLiteral &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CommonEnumeratedLiteral &x) const
| Comparison operator.
eProsima_user_DllExport void | value (int32_t _value)
| This function sets a value in member value.
eProsima_user_DllExport int32_t | value () const
| This function returns the value of member value.
eProsima_user_DllExport int32_t & | value ()
| This function returns a reference to member value.
eProsima_user_DllExport void | flags (const EnumeratedLiteralFlag &_flags)
| This function copies the value in member flags.
eProsima_user_DllExport void | flags (EnumeratedLiteralFlag &&_flags)
| This function moves the value in member flags.
eProsima_user_DllExport const EnumeratedLiteralFlag & | flags () const
| This function returns a constant reference to member flags.
eProsima_user_DllExport EnumeratedLiteralFlag & | flags ()
| This function returns a reference to member flags.

## Detailed Description

This class represents the structure CommonEnumeratedLiteral defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CommonEnumeratedLiteral() [1/3]

eProsima_user_DllExport CommonEnumeratedLiteral | ( |  | ) |

inline

Default constructor.

## ◆ ~CommonEnumeratedLiteral()

eProsima_user_DllExport ~CommonEnumeratedLiteral | ( |  | ) |

inline

Default destructor.

## ◆ CommonEnumeratedLiteral() [2/3]

eProsima_user_DllExport CommonEnumeratedLiteral | ( | const CommonEnumeratedLiteral & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CommonEnumeratedLiteral that will be copied.

## ◆ CommonEnumeratedLiteral() [3/3]

eProsima_user_DllExport CommonEnumeratedLiteral | ( | CommonEnumeratedLiteral && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CommonEnumeratedLiteral that will be copied.

## Member Function Documentation

## ◆ flags() [1/4]

eProsima_user_DllExport EnumeratedLiteralFlag & flags | ( |  | ) |

inline

This function returns a reference to member flags.

Returns
  Reference to member flags

## ◆ flags() [2/4]

eProsima_user_DllExport const EnumeratedLiteralFlag & flags | ( |  | ) | const

inline

This function returns a constant reference to member flags.

Returns
  Constant reference to member flags

## ◆ flags() [3/4]

eProsima_user_DllExport void flags | ( | const EnumeratedLiteralFlag & | _flags | ) |

inline

This function copies the value in member flags.

Parameters

  _flags | New value to be copied in member flags

## ◆ flags() [4/4]

eProsima_user_DllExport void flags | ( | EnumeratedLiteralFlag && | _flags | ) |

inline

This function moves the value in member flags.

Parameters

  _flags | New value to be moved in member flags

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CommonEnumeratedLiteral & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonEnumeratedLiteral object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CommonEnumeratedLiteral & operator= | ( | CommonEnumeratedLiteral && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CommonEnumeratedLiteral that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CommonEnumeratedLiteral & operator= | ( | const CommonEnumeratedLiteral & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CommonEnumeratedLiteral that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CommonEnumeratedLiteral & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonEnumeratedLiteral object to compare.

## ◆ value() [1/3]

eProsima_user_DllExport int32_t & value | ( |  | ) |

inline

This function returns a reference to member value.

Returns
  Reference to member value

## ◆ value() [2/3]

eProsima_user_DllExport int32_t value | ( |  | ) | const

inline

This function returns the value of member value.

Returns
  Value of member value

## ◆ value() [3/3]

eProsima_user_DllExport void value | ( | int32_t | _value | ) |

inline

This function sets a value in member value.

Parameters

  _value | New value for member value

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp